package org.dromara;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.metrics.buffering.BufferingApplicationStartup;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 启动程序
 *
 * @author shihongwei
 */

@EnableScheduling
@SpringBootApplication(scanBasePackages = {"org.dromara", "com.hotwj"})
public class HotPlatformApplication {

    public static void main(String[] args) {
        SpringApplication application = new SpringApplication(HotPlatformApplication.class);
        application.setApplicationStartup(new BufferingApplicationStartup(2048));
        application.run(args);
    }

}
